import request from '@/utils/request' // 你的axios封装文件

// 获取用户列表
export function getQueryAccountPage(params) {
  return request({
    url: '/api/alumniUser/queryAccountPage',
    method: 'get',
    params
  })
}

// 9.1.	获取审核状态下拉列表数据
export function getAllStatus() {
  return request({
    url: `/api/alumniUser/queryStates`,
    method: 'get',
  })
}

// 9.2.	获取角色下拉列表数据
export function getAllRole() {
  return request({
    url: '/api/alumniUser/queryRoleTypes',
    method: 'get'
  })
}

// 9.3.	根据微校卡号获取用户信息
export function getUserInfo(params) {
  return request({
    url: `/api/alumniUser/queryMobileInfo`,
    method: 'get',
    params
  })
}

// 9.4.	新增账号
export function addAccount(data) {
  return request({
    url: `/api/alumniUser/insertAccountData`,
    method: 'post',
    data: data
  })
}
// 9.5.	删除账号
export function deleteAccount(params) {
  return request({
    url: `/api/alumniUser/deleteUserById`,
    method: 'get',
    params
  })
}
// 9.6.	编辑账号
export function editAccount(data) {
  return request({
    url: `/api/alumniUser/updateAccountData`,
    method: 'post',
    data: data
  })
}